%global        srcname     portalocker

Summary:       Library to provide an easy API to file locking
Name:          python-%{srcname}
Version:       2.7.0
Release:       3%{?dist}
License:       Python
URL:           https://github.com/WoLpH/portalocker
Source0:       %{url}/archive/v%{version}.tar.gz

BuildRequires: python3-devel python3dist(pygments) python3dist(pytest) python3dist(redis)
BuildArch:     noarch

%description
Library to provide an easy API to file locking

%package -n python3-%{srcname}
Summary:        Library to provide an easy API to file locking

%description -n python3-%{srcname}
Library to provide an easy API to file locking


%prep
%autosetup -n %{srcname}-%{version} -p1
mv pytest.ini pytest.ini_disabled

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files portalocker

%check
%pytest portalocker_tests

%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE
%doc README.rst

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.7.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.7.0-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Mar 17 2023 Shuo Wang <abushwang@tencent.com> - 2.7.0-1
- initial build
